petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateSubMatrixFree

Creates a reduced matrix by masking a full matrix.

### Synopsis

    #include "petsctao.h"
    #include "submatfree.h"
    PetscErrorCode MatCreateSubMatrixFree(Mat mat,IS Rows, IS Cols, Mat *J)

Collective on matrix Many br

### Input Parameters

| mat | - matrix of arbitrary type Many br
| Rows | - the rows that will be in the submatrix Many br
| Cols | - the columns that will be in the submatrix Many br

### Output Parameters

J -New matrix Many br

### Notes

The user provides the input data and is responsible for destroying Many brthis data after matrix J has been destroyed. Many br

Many br

### See Also

MatCreate()

Level:developer
Location:src/tao/matrix/submatfree.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages